> ## Documentation Index
> Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List agent skill versions

> List agent skill versions with optional filtering by FQN, agent skill ID, ML Repo, name, or version.



## OpenAPI

````yaml /openapi.json get /api/svc/v1/agent-skill-versions
openapi: 3.1.0
info:
  title: TrueFoundry API
  description: API for TrueFoundry
  version: 0.1.0
  contact: {}
servers:
  - url: https://{controlPlaneURL}
    variables:
      controlPlaneURL:
        default: example-company.truefoundry.cloud
        description: Control Plane URL
security: []
tags:
  - name: Agent
  - name: Agent Skills
  - name: Applications
  - name: Metrics
  - name: Apply
  - name: Artifacts
  - name: Audit Logs
  - name: Clusters
  - name: Jobs
  - name: LLM Gateway Budgets
  - name: Logs
  - name: MCP Registry
  - name: MCP Servers V2
  - name: MLRepos
  - name: Model Deployments
  - name: Models
  - name: Personal Access Tokens
  - name: Prompts
  - name: Provider Integrations
  - name: SCIM v2
  - name: Secret Groups
  - name: Secrets
  - name: Teams
  - name: Traces
  - name: Users
  - name: Virtual Accounts
  - name: Role Bindings
  - name: Workspaces
  - name: Provider Accounts
paths:
  /api/svc/v1/agent-skill-versions:
    get:
      tags:
        - Agent Skills
      summary: List agent skill versions
      description: >-
        List agent skill versions with optional filtering by FQN, agent skill
        ID, ML Repo, name, or version.
      operationId: MlfAgentSkillVersion.listAgentSkillVersions
      parameters:
        - name: limit
          required: false
          in: query
          description: Number of items per page
          schema:
            minimum: 1
            maximum: 1000
            nullable: true
            default: 100
            example: 10
            type: integer
        - name: offset
          required: false
          in: query
          description: Number of items to skip
          schema:
            minimum: 0
            nullable: true
            default: 0
            example: 0
            type: integer
        - name: fqn
          required: false
          in: query
          description: Fully Qualified Name uniquely identifying the agent skill version.
          schema:
            type: string
            nullable: true
        - name: agent_skill_id
          required: false
          in: query
          description: Identifier of the agent skill whose versions are being listed.
          schema:
            type: string
            nullable: true
        - name: ml_repo_id
          required: false
          in: query
          description: Identifier of the ML Repo to filter agent skill versions by.
          schema:
            type: string
            nullable: true
        - name: name
          required: false
          in: query
          description: Name of the agent skill to filter versions by.
          schema:
            type: string
            nullable: true
        - name: version
          required: false
          in: query
          description: Version number (positive integer) to filter by.
          schema:
            type: integer
            nullable: true
      responses:
        '200':
          description: >-
            List of agent skill versions matching the query with pagination
            information
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListAgentSkillVersionsResponse'
      security:
        - jwt: []
components:
  schemas:
    ListAgentSkillVersionsResponse:
      type: object
      properties:
        data:
          description: List of agent skill versions matching the query.
          type: array
          items:
            $ref: '#/components/schemas/AgentSkillVersion'
        pagination:
          description: Pagination information for the response.
          allOf:
            - $ref: '#/components/schemas/Pagination'
      required:
        - data
        - pagination
      title: ListAgentSkillVersionsResponse
      x-fern-type-name: ListAgentSkillVersionsResponse
    AgentSkillVersion:
      type: object
      properties:
        created_at:
          format: date-time
          type: string
          description: Timestamp when the agent skill version was created.
          nullable: true
        updated_at:
          format: date-time
          type: string
          description: Timestamp when the agent skill version was last updated.
          nullable: true
        manifest:
          description: Manifest describing the agent skill version.
          oneOf:
            - $ref: '#/components/schemas/AgentSkillManifest'
        id:
          type: string
          description: Unique identifier of the agent skill version.
        fqn:
          type: string
          description: Fully Qualified Name uniquely identifying the agent skill version.
        created_by_subject:
          description: >-
            Subject (user, team, or service account) that created the agent
            skill version.
          allOf:
            - $ref: '#/components/schemas/Subject'
        ml_repo_id:
          type: string
          description: Identifier of the ML Repo the agent skill version belongs to.
        agent_skill_id:
          type: string
          description: Identifier of the agent skill this version belongs to.
        usage_code_snippets:
          description: Code snippets showing how to use the agent skill version.
          default: []
          type: array
          items:
            $ref: '#/components/schemas/UsageCodeSnippet'
      required:
        - manifest
        - id
        - fqn
        - created_by_subject
        - ml_repo_id
        - agent_skill_id
      title: AgentSkillVersion
      x-fern-type-name: AgentSkillVersion
    Pagination:
      type: object
      properties:
        total:
          type: integer
          description: Total number of items
          example: 100
        offset:
          type: integer
          description: Number of items skipped
          example: 0
          nullable: true
        limit:
          type: integer
          description: Number of items per page
          example: 10
          nullable: true
      required:
        - total
      title: Pagination
      x-fern-type-name: Pagination
    AgentSkillManifest:
      description: Agent skill version.
      type: object
      properties:
        type:
          description: Type
          type: string
          enum:
            - agent-skill
          default: agent-skill
        name:
          description: Name of the skill.
          type: string
          minLength: 1
          maxLength: 64
          pattern: ^(?!.*anthropic)(?!.*claude)[a-z0-9](?:[a-z0-9-]*[a-z0-9])?$
        source:
          description: Source
          type: object
          oneOf:
            - $ref: '#/components/schemas/AgentSkillSourceInline'
            - $ref: '#/components/schemas/AgentSkillSourceBlobStorage'
            - $ref: '#/components/schemas/AgentSkillSourceLocal'
          discriminator:
            propertyName: type
        ml_repo:
          description: Name of the repository.
          type: string
          pattern: ^[a-zA-Z][a-zA-Z0-9\-]{1,98}[a-zA-Z0-9]$
      allOf:
        - $ref: '#/components/schemas/BaseArtifactVersion'
      required:
        - type
        - name
        - source
        - ml_repo
      title: AgentSkillManifest
      x-fern-type-name: AgentSkillManifest
    Subject:
      type: object
      properties:
        subjectId:
          type: string
          description: Subject ID
        subjectType:
          type: string
          description: Subject type
          enum:
            - user
            - team
            - serviceaccount
            - virtualaccount
            - agent-identity
            - agent
            - agent-channel-identity
            - role
        subjectSlug:
          type: string
          description: Subject slug
          nullable: true
        subjectDisplayName:
          type: string
          description: Subject display name
          nullable: true
        subjectPatName:
          type: string
          description: Subject PAT name
          nullable: true
        subjectControllerName:
          type: string
          nullable: true
        subjectExternalIdentitySlug:
          type: string
          description: External identity slug (external_identity_id:sub:email)
          nullable: true
      required:
        - subjectId
        - subjectType
      title: Subject
      x-fern-type-name: Subject
    UsageCodeSnippet:
      type: object
      properties:
        display_name:
          type: string
          description: Display name of the usage code snippet.
        language:
          type: string
          description: Programming language of the usage code snippet.
        libraries:
          description: Libraries required to run the usage code snippet.
          nullable: true
          type: array
          items:
            type: string
        code:
          type: string
          description: Source code of the usage code snippet.
        icon:
          type: string
          description: Icon representing the usage code snippet.
          nullable: true
      required:
        - display_name
        - language
        - code
      title: UsageCodeSnippet
      x-fern-type-name: UsageCodeSnippet
    AgentSkillSourceInline:
      description: SKILL.md for this version when using inline source.
      type: object
      required:
        - type
        - skill_md
      properties:
        type:
          description: Type
          type: string
          enum:
            - inline
          default: inline
        skill_md:
          description: Main body of SKILL.md file.
          type: string
          minLength: 1
          maxLength: 30000
      title: AgentSkillSourceInline
      x-fern-type-name: AgentSkillSourceInline
    AgentSkillSourceBlobStorage:
      description: SKILL.md content stored on blob
      type: object
      required:
        - type
        - description
        - uri
      properties:
        type:
          description: Type
          type: string
          enum:
            - blob-storage
          default: blob-storage
        description:
          description: 1–1024 chars.
          type: string
          minLength: 1
          maxLength: 1024
        uri:
          description: Storage URI of the blob storage object where the skill is stored.
          type: string
          minLength: 1
      title: AgentSkillSourceBlobStorage
      x-fern-type-name: AgentSkillSourceBlobStorage
    AgentSkillSourceLocal:
      description: >-
        Load the skill from a local directory. The directory must include
        SKILL.md with valid YAML front matter.
      type: object
      required:
        - type
        - skill_dir
      properties:
        type:
          description: Type
          type: string
          enum:
            - local
          default: local
        skill_dir:
          description: >-
            Path to the skill root directory, including SKILL.md and related
            assets.
          type: string
          minLength: 1
      title: AgentSkillSourceLocal
      x-fern-type-name: AgentSkillSourceLocal
    BaseArtifactVersion:
      type: object
      required:
        - metadata
      properties:
        name:
          description: Name of the entity
          type: string
          maxLength: 256
          pattern: ^[A-Za-z0-9_\-]+$
        metadata:
          description: >-
            Key value metadata. Should be valid JSON. For e.g.
            `{"business-unit": "sales", "quality": "good", "rating": 4.5}`
          type: object
        ml_repo:
          description: Name of the ML Repo
          type: string
          pattern: ^[a-zA-Z][a-zA-Z0-9\-]{1,98}[a-zA-Z0-9]$
        version:
          description: Version of the entity
          type: integer
          minimum: 1
      title: BaseArtifactVersion
      x-fern-type-name: BaseArtifactVersion
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````